#include <bits/stdc++.h>
using namespace std;
int k,niz[20009],n;
int main () {
  cin>>n>>k;
for (int i=1; i<=n; i++) {
  cin>>niz[i];
}
for (int i=1; i<=n; i++) {
  if (niz[n]==k) {
      cout<<niz[1]<<endl;
      break;
      }
  else if (niz[i]==k) {
    cout<<niz[i+1]<<endl;
    }
}
return 0;
}